Search markets
curl --request GET \
--url https://quantura.studio/api/v1/market-search \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/market-search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/market-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/market-search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"query": "AAPL",
"count": 1,
"groups": {
"alpaca": [
{
"resource_type": "instrument",
"resource_id": "alpaca:AAPL",
"symbol": "AAPL",
"name": "Apple Inc.",
"asset_class": "equity",
"source": "alpaca",
"exchange": "NASDAQ",
"history_available": true,
"forecast_available": true
}
]
},
"errors": {},
"coverage": "Bounded provider discovery."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Search
Search markets
Bounded provider discovery, not an exhaustive index. Inspect errors and coverage. Optional ranking orders verified candidates; it cannot invent or select a contract.
GET
/
v1
/
market-search
Search markets
curl --request GET \
--url https://quantura.studio/api/v1/market-search \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/market-search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/market-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/market-search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"query": "AAPL",
"count": 1,
"groups": {
"alpaca": [
{
"resource_type": "instrument",
"resource_id": "alpaca:AAPL",
"symbol": "AAPL",
"name": "Apple Inc.",
"asset_class": "equity",
"source": "alpaca",
"exchange": "NASDAQ",
"history_available": true,
"forecast_available": true
}
]
},
"errors": {},
"coverage": "Bounded provider discovery."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Authorizations
bearerAuthclerkOAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
auto, alpaca, dukascopy, kalshi, polymarket_us, kalshi_perps, gemini, fiscaldata, worldbank_data360, bigquery, sagemaker Available options:
open, live, any Required range:
1 <= x <= 20Available options:
true, false Response
Successful response (illustrative example)
The response is of type object.